package com.jkcredit.zuul.error;

import com.netflix.zuul.ZuulFilter;
import com.netflix.zuul.context.RequestContext;
import org.springframework.cloud.netflix.zuul.filters.post.SendErrorFilter;
import org.springframework.cloud.netflix.zuul.filters.support.FilterConstants;
import org.springframework.stereotype.Component;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
public class PostErrorFilter extends SendErrorFilter {
    @Override
    public String filterType() {
        return FilterConstants.ERROR_TYPE;
    }

    @Override
    public int filterOrder() {
        return super.filterOrder();
    }

    @Override
    public boolean shouldFilter() {
        RequestContext context = RequestContext.getCurrentContext();
        ZuulFilter filter = (ZuulFilter) context.get("failed.filter");
        return (filter != null && filter.filterType().equals("post"));
    }

    @Override
    public Object run() {
        RequestContext requestContext = RequestContext.getCurrentContext();
        RequestContext.getCurrentContext().setResponseStatusCode(500);
        Throwable throwable = requestContext.getThrowable();
        return super.run();
    }
}
