package com.jkcredit.zuul.error;

import com.netflix.zuul.FilterProcessor;
import com.netflix.zuul.ZuulFilter;
import com.netflix.zuul.context.RequestContext;
import com.netflix.zuul.exception.ZuulException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Component
@Slf4j
public class PostFilterProcessor extends FilterProcessor {
    @Override
    public Object processZuulFilter(ZuulFilter filter) throws ZuulException {
        try {
            return super.processZuulFilter(filter);
        } catch (ZuulException e) {
            log.error("ZuulException:", e);
            RequestContext requestContext = RequestContext.getCurrentContext();
            requestContext.set("failed.filter", filter);
            throw e;
        }
    }
}
